libstdc++: std::chrono::time_point< _Clock, _Dur > Class Template Reference

libstdc++

std::chrono::time_point< _Clock, _Dur > Class Template Reference
Utilities » Time

## Public Types
typedef _Clock | clock
typedef _Dur | duration
typedef duration::period | period
typedef duration::rep | rep

## Public Member Functions
constexpr | time_point (const duration &__dur)
template<typename _Dur2, typename = _Require<is_convertible<_Dur2, _Dur>>>
constexpr | time_point (const time_point< clock, _Dur2 > &__t)
constexpr time_point & | operator++ ()
constexpr time_point | operator++ (int)
constexpr time_point & | operator+= (const duration &__dur)
constexpr time_point & | operator-- ()
constexpr time_point | operator-- (int)
constexpr time_point & | operator-= (const duration &__dur)
constexpr duration | time_since_epoch () const

## Static Public Member Functions
static constexpr time_point | max () noexcept
static constexpr time_point | min () noexcept

## Related Symbols
(Note that these are not member symbols.)
template<typename _Clock, typename _Dur1, typename _Rep2, typename _Period2>
constexpr time_point< _Clock, typename common_type< _Dur1, duration< _Rep2, _Period2 > >::type > | operator+ (const time_point< _Clock, _Dur1 > &__lhs, const duration< _Rep2, _Period2 > &__rhs)

## Detailed Description

template<typename _Clock, typename _Dur>
class std::chrono::time_point< _Clock, _Dur >

chrono::time_point represents a point in time as measured by a clock

Definition at line 930 of file chrono.h.

## Member Typedef Documentation

## ◆ clock

template<typename _Clock, typename _Dur>

typedef _Clock std::chrono::time_point< _Clock, _Dur >::clock

Definition at line 936 of file chrono.h.

## ◆ duration

template<typename _Clock, typename _Dur>

typedef _Dur std::chrono::time_point< _Clock, _Dur >::duration

Definition at line 937 of file chrono.h.

## ◆ period

template<typename _Clock, typename _Dur>

typedef duration::period std::chrono::time_point< _Clock, _Dur >::period

Definition at line 939 of file chrono.h.

## ◆ rep

template<typename _Clock, typename _Dur>

typedef duration::rep std::chrono::time_point< _Clock, _Dur >::rep

Definition at line 938 of file chrono.h.

## Constructor & Destructor Documentation

## ◆ time_point() [1/3]

template<typename _Clock, typename _Dur>

std::chrono::time_point< _Clock, _Dur >::time_point | ( |  | ) |
| inlineconstexpr

Definition at line 941 of file chrono.h.

## ◆ time_point() [2/3]

template<typename _Clock, typename _Dur>

std::chrono::time_point< _Clock, _Dur >::time_point | ( | const duration & | __dur | ) |
| inlineexplicitconstexpr

Definition at line 944 of file chrono.h.

## ◆ time_point() [3/3]

template<typename _Clock, typename _Dur>
template<typename _Dur2, typename = _Require<is_convertible<_Dur2, _Dur>>>

std::chrono::time_point< _Clock, _Dur >::time_point | ( | const time_point< clock, _Dur2 > & | __t | ) |
| inlineconstexpr

Definition at line 951 of file chrono.h.

## Member Function Documentation

## ◆ max()

template<typename _Clock, typename _Dur>

constexpr time_point std::chrono::time_point< _Clock, _Dur >::max | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1005 of file chrono.h.

## ◆ min()

template<typename _Clock, typename _Dur>

constexpr time_point std::chrono::time_point< _Clock, _Dur >::min | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 1001 of file chrono.h.

## ◆ operator++() [1/2]

template<typename _Clock, typename _Dur>

time_point & std::chrono::time_point< _Clock, _Dur >::operator++ | ( |  | ) |
| inlineconstexpr

Definition at line 962 of file chrono.h.

## ◆ operator++() [2/2]

template<typename _Clock, typename _Dur>

time_point std::chrono::time_point< _Clock, _Dur >::operator++ | ( | int |  | ) |
| inlineconstexpr

Definition at line 969 of file chrono.h.

## ◆ operator+=()

template<typename _Clock, typename _Dur>

time_point & std::chrono::time_point< _Clock, _Dur >::operator+= | ( | const duration & | __dur | ) |
| inlineconstexpr

Definition at line 986 of file chrono.h.

## ◆ operator--() [1/2]

template<typename _Clock, typename _Dur>

time_point & std::chrono::time_point< _Clock, _Dur >::operator-- | ( |  | ) |
| inlineconstexpr

Definition at line 973 of file chrono.h.

## ◆ operator--() [2/2]

template<typename _Clock, typename _Dur>

time_point std::chrono::time_point< _Clock, _Dur >::operator-- | ( | int |  | ) |
| inlineconstexpr

Definition at line 980 of file chrono.h.

## ◆ operator-=()

template<typename _Clock, typename _Dur>

time_point & std::chrono::time_point< _Clock, _Dur >::operator-= | ( | const duration & | __dur | ) |
| inlineconstexpr

Definition at line 993 of file chrono.h.

## ◆ time_since_epoch()

template<typename _Clock, typename _Dur>

duration std::chrono::time_point< _Clock, _Dur >::time_since_epoch | ( |  | ) | const
| inlineconstexpr

Definition at line 957 of file chrono.h.

The documentation for this class was generated from the following file:

- chrono.h